# Lead Registration API

## LeadRegister

<mark style="color:green;">`POST`</mark> `https://{baseurl}/leads/lead/api/register`

This endpoint allows you to register lead.

#### Query Parameters

| Name                       | Type   | Description                |
| -------------------------- | ------ | -------------------------- |
| country                    | string | Country                    |
| partner                    | string | Partner Name               |
| source                     | string | Lead Source                |
| status                     | string | Lead Status                |
| partner\_reference\_number | string | Partner Reference Number   |
| name                       | string | Lead Name                  |
| mobile                     | string | Lead Mobile Number         |
| id\_type                   | string | Lead ID Type               |
| id\_number                 | string | Lead Id Number             |
| email                      | string | Lead Email Address         |
| dob                        | string | Lead Date of Birth         |
| beneficiaryName            | string | Beneficiary Name           |
| beneficiaryRelationship    | string | Beneficiary Relationship   |
| beneficiaryIdType          | string | Beneficiary Id Type        |
| beneficiaryidNumber        | string | Beneficiary id Number      |
| beneficiaryFatherName      | string | Beneficiary Father’s Name. |

#### Headers

| Name                   | Type   | Description                           |
| ---------------------- | ------ | ------------------------------------- |
| EIGER-SESSION-ID       | string | Web Service Token API Generated Value |
| EIGER-TOKEN            | string | Web Service Token API Generated Value |
| EIGER-API-REQUEST-TYPE | string | REST                                  |
| Accept                 | string | application/json                      |
| Content-Type           | string | application/json                      |

{% tabs %}
{% tab title="200 Lead successfully registered." %}

```
{
"status": "SUCCESS",
"partner_reference_number": "XXXXXXXXXXXXX",
"name": "XXXXXXXXXXXXX",
"mobile": "XXXXXXXXXXXXX",
"idnumber": "XXXXXXXXXXXXX",
"email": "XXXXXXXXXXXXX",
"dob": "XXXXXXXXXXXXX",
"validated_name": "XXXXXXXXXXXXX",
"validated_customerId": "XXXXXXXXXXXXX",
"message": "Lead Registered Successfully",
"errors": null
}
```

{% endtab %}

{% tab title="404 Could not find a matching this query." %}

```
{    "message": "Failed"}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.stonestepag.com/lead-registration-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
